cURL
curl --request PUT \
--url https://service-sandbox.tazapay.com/v3/lightning_invoice_bolt11/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": "{\"key1\": \"value1\", \"key2\": \"value2\"}"
}
'import requests
url = "https://service-sandbox.tazapay.com/v3/lightning_invoice_bolt11/{id}"
payload = { "metadata": "{\"key1\": \"value1\", \"key2\": \"value2\"}" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: '{"key1": "value1", "key2": "value2"}'})
};
fetch('https://service-sandbox.tazapay.com/v3/lightning_invoice_bolt11/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"id": "l11_abc123xyz",
"object": "lightning_invoice_bolt11",
"amount": 123456,
"d_tag_memo": "Payment for order #7890",
"h_tag": null,
"collect": "col_98765",
"expiry_interval": 3600,
"metadata": {
"order_id": "7890",
"customer_id": "cust_456"
},
"status": "active",
"payment_status": "unpaid",
"created_at": "2025-09-28T08:15:30Z",
"updated_at": "2025-09-28T08:20:45Z"
}
}Lightning Invoice
Update a lightning invoice
PUT
/
v3
/
lightning_invoice_bolt11
/
{id}
cURL
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of an existing lightning invoice
Body
application/json
Set of key-value pairs to attach to the lightning_invoice object
Example:
"{\"key1\": \"value1\", \"key2\": \"value2\"}"
Was this page helpful?
⌘I